src/main/java/br/com/sirc/view/controllers/catequista/CadastroCatequistaBean.java
package br.com.sirc.view.controllers.catequista;

import java.util.List;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.inject.Inject;

import br.com.sirc.negocio.service.CatequistaService;
import br.com.sirc.persistencia.modelo.Catequista;
import br.com.sirc.persistencia.modelo.enums.BooleanoEnum;
import br.com.sirc.persistencia.modelo.enums.EstadoCivilEnum;
import br.com.sirc.persistencia.modelo.enums.SexoEnum;
import br.com.sirc.persistencia.modelo.enums.StatusEnum;
import br.com.sirc.view.controllers.comum.AbstractCrudBean;
import br.com.sirc.view.controllers.util.ViewUtil;

@ManagedBean
@ViewScoped
public class CadastroCatequistaBean extends AbstractCrudBean<Catequista, CatequistaService> {

	private static final long serialVersionUID = 1L;

	@Inject
	private CatequistaService service;
	
	@Override
	protected CatequistaService getServico() {
		return service;
	}

	@PostConstruct
	@Override
	public void inicializar() {
		limpar();
	}
	
	@Override
	public void limpar() {
		setEntidade(new Catequista());
	}
	
	public boolean bloquearCampoConjugue() {
		return !(getEntidade().getEstadoCivil() != null && 
				getEntidade().getEstadoCivil().equals(EstadoCivilEnum.CASADO.getCodEstadoCivil()));
	}
	
	public List<SexoEnum> getRadioSexo() {
		return ViewUtil.configurarCampoSexo();
	}
	
	public List<EstadoCivilEnum> getRadioEstadoCivil() {
		return ViewUtil.configurarCampoEstadoCivil();
	}
	
	public List<StatusEnum> getRadioStatus(){
		return ViewUtil.configurarCampoStaus();
	}
	
	public List<BooleanoEnum> getRadioBooleano(){
		return ViewUtil.configurarCampoBooleano();
	}
	
	public List<Integer> getComboAno(){
		return ViewUtil.configurarComboAno();
	}
	
}

src/main/java/br/com/sirc/view/controllers/catequista/PesquisaCatequisaBean.java
package br.com.sirc.view.controllers.catequista;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.inject.Inject;

import br.com.sirc.negocio.service.CatequistaService;
import br.com.sirc.persistencia.modelo.Catequista;
import br.com.sirc.view.controllers.comum.AbstractCrudBean;

@ManagedBean
@ViewScoped
public class PesquisaCatequisaBean extends AbstractCrudBean<Catequista, CatequistaService> {

	private static final long serialVersionUID = 1L;

	@Inject
	private CatequistaService service;
	
	@Override
	protected CatequistaService getServico() {
		return service;
	}

	@PostConstruct
	@Override
	public void inicializar() {
		listar();
	}

}

src/main/java/br/com/sirc/view/controllers/comum/AbstractCrudBean.java
package br.com.sirc.view.controllers.comum;

import java.util.ArrayList;
import java.util.List;

import br.com.sirc.negocio.exception.NegocioException;
import br.com.sirc.negocio.service.comum.AbstractCrudService;
import br.com.sirc.persistencia.modelo.comum.AbstractComumEntidade;

/**
 * 
 * @author João Pedro
 * @since 30/11/2016
 * @category Comum
 *
 * @param <Servico>
 * @param <Entidade>
 * 
 * Super classe que deve ser extendida por fluxos que trabalham com entidades
 * 
 */
public abstract class AbstractCrudBean<Entidade extends AbstractComumEntidade<?>, Servico extends AbstractCrudService<Entidade,?>> extends Bean {

	private static final long serialVersionUID = 1L;
	
	private Entidade entidade;
	private Entidade entidadeSelecionada;
	
	private List<Entidade> entidades = new ArrayList<>();

	/**
	 * Método que deve ser implementado por todas as filhas.
	 * Retorna a instãncia do serviço apontado acima.
	 * @return Servico
	 */
	protected abstract Servico getServico();
	
	/**
	 * Método responsável por carregar as informações iniciais da tela.
	 * Deve ser implementado em todas as filhas.
	 * Deve ser anotado com @PostConstruct
	 */
	public abstract void inicializar();

	/**
	 * Método que deve ser sobrescrito nas classes que tratarão de cadastros
	 */
	public void limpar(){
	}
	
	/**
	 * Método responsável por enviar a entidade para ser salva ou alterada na base
	 * @throws NegocioException 
	 */
	public void salvar() {
		try {
			getServico().validarDuplicidade(getEntidade() != null ? getEntidade() : null);
			getServico().salvar(getEntidade() != null ? getEntidade() : getEntidadeSelecionada());
			limpar();
		} catch (NegocioException e) {
			e.printStackTrace();
		}
	}
	
	/**
	 * Método responsável por apagar um registro selecionado da base
	 */
	public void excluir(){
		getServico().excluir(getEntidadeSelecionada().getIdentificador());
		this.entidades.remove(getEntidadeSelecionada());
	}
	
	/**
	 * Método responsável por listar os objetos da base
	 */
	public void listar(){
		setEntidades(getServico().listar());
	}
	

	public Entidade getEntidade() {
		return entidade;
	}

	public void setEntidade(Entidade entidade) {
		this.entidade = entidade;
	}

	public Entidade getEntidadeSelecionada() {
		return entidadeSelecionada;
	}

	public void setEntidadeSelecionada(Entidade entidadeSelecionada) {
		this.entidadeSelecionada = entidadeSelecionada;
	}

	public List<Entidade> getEntidades() {
		return entidades;
	}

	public void setEntidades(List<Entidade> entidades) {
		this.entidades = entidades;
	}
	
}

src/main/java/br/com/sirc/view/controllers/comum/Bean.java
package br.com.sirc.view.controllers.comum;

import java.io.Serializable;

/**
 * 
 * @author João Pedro
 * @since 30/11/2016
 * @category Comum
 * 
 * Super classe das classes genéricas que serão herdadas pelo restante das Bean's
 *
 */
public abstract class Bean implements Serializable{

	private static final long serialVersionUID = 1L;
}

src/main/java/br/com/sirc/view/controllers/etapa/CadastroEtapaBean.java
package br.com.sirc.view.controllers.etapa;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.inject.Inject;

import br.com.sirc.negocio.service.EtapaService;
import br.com.sirc.persistencia.modelo.Etapa;
import br.com.sirc.view.controllers.comum.AbstractCrudBean;

@ManagedBean
@ViewScoped
public class CadastroEtapaBean extends AbstractCrudBean<Etapa, EtapaService> {

	private static final long serialVersionUID = 1L;

	@Inject
	private EtapaService service;
	
	@Override
	protected EtapaService getServico() {
		return service;
	}

	@PostConstruct
	@Override
	public void inicializar() {
		limpar();
	}
	
	@Override
	public void limpar() {
		setEntidade(new Etapa());
	}

}

src/main/java/br/com/sirc/view/controllers/etapa/PesquisaEtapaBean.java
package br.com.sirc.view.controllers.etapa;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.inject.Inject;

import br.com.sirc.negocio.service.EtapaService;
import br.com.sirc.persistencia.modelo.Etapa;
import br.com.sirc.view.controllers.comum.AbstractCrudBean;

@ManagedBean
@ViewScoped
public class PesquisaEtapaBean extends AbstractCrudBean<Etapa, EtapaService> {

	private static final long serialVersionUID = 1L;

	@Inject
	private EtapaService service;
	
	@Override
	protected EtapaService getServico() {
		return service;
	}

	@PostConstruct
	@Override
	public void inicializar() {
		listar();
	}
	
}

src/main/webapp/WEB-INF/template/LayoutPadrao.xhtml
<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

	<h:head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <h:outputStylesheet library="css" name="sistema.css" />
        <h:outputScript name="calendar.js" library="js" />
        <title><ui:insert name="titulo">SIRC - Sistema de Inscrição e Renovação da Catequese</ui:insert></title>
	</h:head>

	<h:body>
		<p:ajaxStatus styleClass="ajax-status">
			<f:facet name="start">
				<h:graphicImage library="imagens" name="carregando.gif"/>
			</f:facet>
			<f:facet name="complete">
				<h:outputText value=""/>
			</f:facet>
		</p:ajaxStatus>
	
		<header>
			<div style="float: left;">
				<h:link outcome="/home" style="text-decoration: none;">
					<h1 style="color:#DCDCDC;">SIRC</h1>
				</h:link>
			</div>
			
			<div style="float: right; margin-right: 115px;">
				<h:form style="display: inline-block">
					<p:menubar styleClass="menu-sistema">
						<p:menuitem value="Ano Letivo" outcome="/anoLetivo/CadastroAnoLetivo"></p:menuitem>
						<p:submenu label="Cadastros">
							<p:menuitem value="Etapa" outcome="/etapa/PesquisaEtapa.xhtml" />
							<p:menuitem value="Catequista" outcome="/catequista/PesquisaCatequista.xhtml" />
						</p:submenu>
					</p:menubar>
				</h:form>
			</div>
			<div style="clear: both"></div>
		</header>
		
		<div id="conteudo">
			<ui:insert name="corpo"/>
		</div>
	
		<p:separator style="margin-top: 20px"/>
	
		<footer>
			
		</footer>
	</h:body>

</html>

src/main/webapp/anoLetivo/CadastroAnoLetivo.xhtml
<ui:composition template="/WEB-INF/template/LayoutPadrao.xhtml"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui"
    xmlns:o="http://omnifaces.org/ui">

    <ui:define name="titulo">Ano Letivo</ui:define>
    
    <ui:define name="corpo">
    	<f:metadata>
			<o:viewParam name="etapa"  />
		</f:metadata>
    
    	<h1>Ano Letivo</h1>
    	
    	<h:form id="frmCadastro">
    		<p:growl id="messages" autoUpdate="true" closable="true" showDetail="true" />
    	
    		<h:panelGrid columns="2" id="painel" style="width: 100%; margin-top: 20px; "  columnClasses="rotulo, campo">
	    		<p:outputLabel value="Ano em exercício: " />
	    		<p:outputLabel value="2017" />
	    	</h:panelGrid>
	    	
	    	<h:panelGrid columns="2" style="margin-top: 5%">
	    		<p:commandButton title="Encerrar Atividades"  />
	    		<p:commandButton title="Novo Ano Letivo" />
	    	</h:panelGrid>
	    	
	    	
    	</h:form>
    </ui:define>
</ui:composition>

src/main/webapp/catequista/CadastroCatequista.xhtml
<ui:composition template="/WEB-INF/template/LayoutPadrao.xhtml"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui"
    xmlns:o="http://omnifaces.org/ui">

    <ui:define name="titulo">Novo Catequista</ui:define>
    
    <ui:define name="corpo">
    	<f:metadata>
			<o:viewParam name="etapa"  />
		</f:metadata>
    
    	<h1>Novo Catequista</h1>
    	
    	<h:form id="frmCadastro">
    		<p:growl id="messages" autoUpdate="true" closable="true" showDetail="true" />
    	
	    	<p:toolbar style="margin-top: 20px">
	    		<p:toolbarGroup>
	    			<p:commandButton value="Salvar" id="botaoSalvar" update="frmCadastro" action="#{cadastroCatequistaBean.salvar()}" />
	    		</p:toolbarGroup>
	    		<p:toolbarGroup align="right">
					<p:button value="Pesquisa" outcome="/catequista/PesquisaCatequista"/>
				</p:toolbarGroup>
	    	</p:toolbar>
	    	
	    	<h:panelGrid columns="2" id="painel" style="width: 100%; margin-top: 20px; "  columnClasses="rotulo, campo">
	    		
				<p:outputLabel value="CPF" for="cpf" />
				<p:inputMask id="cpf" mask="999.999.999-99" value="#{cadastroCatequistaBean.entidade.cpf}" />
				
				<p:outputLabel value="Nome" for="nome" />
				<p:inputText id="nome" value="#{cadastroCatequistaBean.entidade.nome}" />
				
				<p:outputLabel value="Endereço" for="endereco" />
				<p:inputText id="endereco" value="#{cadastroCatequistaBean.entidade.endereco}" />
				
				<p:outputLabel value="Cidade" for="cidade" />
				<p:inputText id="cidade" value="#{cadastroCatequistaBean.entidade.cidade}" />
				
				<p:outputLabel value="Telefone" for="telefone" />
				<p:inputMask mask="9999-9999" id="telefone" value="#{cadastroCatequistaBean.entidade.telefone}" />
				
				<p:outputLabel value="Celular" for="celular" />
				<p:inputMask mask="99999-9999" id="celular" value="#{cadastroCatequistaBean.entidade.celular}" />
				
				<p:outputLabel value="Data de Nascimento" for="dataNascimento" />
				<p:calendar id="dataNascimento" value="#{cadastroCatequistaBean.entidade.dataNascimento}" mask="true" pattern="dd/MM/yyyy" converter="dateConverter"
					showHour="false" showMinute="false" showSecond="false" showMillisec="false" />
				
				<p:outputLabel value="E-mail" for="email" />
				<p:inputText id="email" value="#{cadastroCatequistaBean.entidade.email}" />

				<p:outputLabel value="Sexo" for="sexo" />
				<p:selectOneRadio id="sexo" value="#{cadastroCatequistaBean.entidade.sexo}" layout="grid" columns="2"  >
		            <f:selectItems value="#{cadastroCatequistaBean.radioSexo}" var="s" itemLabel="#{s.descSexo}" itemValue="#{s.codSexo}" />
		        </p:selectOneRadio>
		        
				<p:outputLabel value="Estado Civil" for="estado" />
				<p:selectOneRadio id="estado" value="#{cadastroCatequistaBean.entidade.estadoCivil}" immediate="true" >
		            <f:selectItems value="#{cadastroCatequistaBean.radioEstadoCivil}" var="s" itemLabel="#{s.descEstadoCivil}" itemValue="#{s.codEstadoCivil}" />
		             <p:ajax update="frmCadastro:conjugue" />
		        </p:selectOneRadio>
		        
		        <p:outputLabel value="Nome Cônjugue" for="conjugue" />
				<p:inputText id="conjugue" value="#{cadastroCatequistaBean.entidade.descConjugue}" disabled="#{cadastroCatequistaBean.bloquearCampoConjugue()}" />
		        
				<p:outputLabel value="Status" for="status" />
				<p:selectOneRadio id="status" value="#{cadastroCatequistaBean.entidade.status}" immediate="true" >
		            <f:selectItems value="#{cadastroCatequistaBean.radioStatus}" var="s" itemLabel="#{s.descStatus}" itemValue="#{s.codStatus}" />
		        </p:selectOneRadio>
		        
				<p:outputLabel value="Participou da escola arquidiocesana?" for="bolEac" />
				<p:selectOneRadio id="bolEac" value="#{cadastroCatequistaBean.entidade.bolEac}" immediate="true" >
		            <f:selectItems value="#{cadastroCatequistaBean.radioBooleano}" var="s" itemLabel="#{s.descricao}" itemValue="#{s.codigo}" />
		        </p:selectOneRadio>
		        
		        <p:outputLabel value="Ano EAC" for="anoEac" />
				<p:selectOneMenu id="anoEac" value="#{cadastroCatequistaBean.entidade.ano_eac}">
					<f:selectItem noSelectionOption="true" itemLabel="Selecione..."/>
					<f:selectItems value="#{cadastroCatequistaBean.comboAno}" />
				</p:selectOneMenu>
		        
		        <p:outputLabel value="Coordenador?" for="bolCoordenador" />
				<p:selectOneRadio id="bolCoordenador" value="#{cadastroCatequistaBean.entidade.bolCoordenador}" immediate="true" >
		            <f:selectItems value="#{cadastroCatequistaBean.radioBooleano}" var="s" itemLabel="#{s.descricao}" itemValue="#{s.codigo}" />
		        </p:selectOneRadio>
		        
		        <p:outputLabel value="Observação" for="observacao" />
				<p:inputTextarea id="observacao" value="#{cadastroCatequistaBean.entidade.descObservacao}" cols="100" autoResize="false" rows="5" />
				
	    	</h:panelGrid>
	    	
    	</h:form>
    </ui:define>
</ui:composition>

src/main/webapp/catequista/PesquisaCatequista.xhtml
<ui:composition template="/WEB-INF/template/LayoutPadrao.xhtml"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui">

    <ui:define name="titulo">Pesquisa Catequista</ui:define>
    
    <ui:define name="corpo">
    	<h1>Pesquisa Catequista</h1>
    	
    	<h:form id="frmPesquisa">
    		<p:growl id="messages" autoUpdate="true" closable="true" showDetail="true" />
    		
    		<p:toolbar style="margin-top: 20px">
    			<p:toolbarGroup>
    				<p:button value="Novo" id="botaoNovo" outcome="/catequista/CadastroCatequista" />
    			</p:toolbarGroup>
    		</p:toolbar>
    	
	    	<p:dataTable id="tabelaEtapa" value="#{pesquisaCatequisaBean.entidades}" var="catequista"
		    		style="margin-top: 20px" emptyMessage="Nenhum catequista encontrado." rows="20"
		    		paginator="true" paginatorAlwaysVisible="false" paginatorPosition="bottom">
	    		
	    		<p:column headerText="CPF">
	    			<h:outputText value="#{catequista.cpf}" />
	    		</p:column>

	    		<p:column headerText="Nome">
	    			<h:outputText value="#{catequista.nome}" />
	    		</p:column>
	    		
				<p:column headerText="Celular">
					<h:outputText value="#{catequista.celular}" />
				</p:column>
				
				<p:column headerText="Estado Civil">
					<h:outputText value="#{catequista.estadoCivil}" converter="estadoCivilConverter" />
				</p:column>
				<p:column headerText="Status">
					<h:outputText value="#{catequista.status}" converter="statusConverter" />
				</p:column>
				
				<p:column headerText="Email">
					<h:outputText value="#{catequista.email}" />
				</p:column>
				
	    		<p:column style="width: 100px; text-align: center">
	    			<p:commandButton icon="ui-icon-pencil" title="Editar" oncomplete="PF('telaEdicao').show();"
	    					update=":frmPesquisa:telaEdicao" process="@this">
	    				<f:setPropertyActionListener value="#{catequista}" target="#{pesquisaCatequisaBean.entidadeSelecionada}" />
	    			</p:commandButton>
	    			<p:commandButton icon="ui-icon-trash" title="Excluir" oncomplete="PF('confirmacaoExclusao').show();"
							process="@this" update=":frmPesquisa:confirmacaoExclusaoDialog">
						<f:setPropertyActionListener target="#{pesquisaCatequisaBean.entidadeSelecionada}" value="#{catequista}" />
					</p:commandButton>
	    		</p:column>
		    </p:dataTable>
		    
	    	<p:confirmDialog id="confirmacaoExclusaoDialog" widgetVar="confirmacaoExclusao"
 	        		message="Tem certeza que deseja excluir o catequista '#{pesquisaCatequisaBean.entidadeSelecionada.nome}'?"  
	                header="Exclusão de catequista" severity="alert" >
	        	<p:commandButton value="Sim" update=":frmPesquisa"
	        			onclick="PF('confirmacaoExclusao').hide();"  action="#{pesquisaCatequisaBean.excluir()}" />
	        	<p:button value="Não" onclick="PF('confirmacaoExclusao').hide(); return false;" />
	    	</p:confirmDialog>
	    	
	    	<!-- Pop-Up de edição de registro -->
	    	<p:dialog id="telaEdicao" widgetVar="telaEdicao" header="Editar Catequista" closable="true" showEffect="fade" hideEffect="fade"
	    		width="800" height="500" >
	    		
	    		<p:toolbar style="margin-top: 5px; width: 100%;">
		    		<p:toolbarGroup>
		    			<p:commandButton value="Salvar" id="botaoSalvar" action="#{pesquisaCatequisaBean.salvar()}" onclick="PF('telaEdicao').hide();"
		    				update="frmPesquisa" />
		    		</p:toolbarGroup>
		    		<p:toolbarGroup align="right">
						<p:button value="Cancelar" onclick="PF('telaEdicao').hide(); return false;" />
					</p:toolbarGroup>
		    	</p:toolbar>
		    	
		    	<h:panelGrid columns="2" id="painel" style="width: 100%; margin-top: 20px" columnClasses="rotulo, campo"
		    		rendered="#{pesquisaCatequisaBean.entidadeSelecionada != null}">
		    		
		    		<p:outputLabel value="CPF" for="cpf" />
					<p:inputMask id="cpf" mask="999.999.999-99" value="#{pesquisaCatequisaBean.entidadeSelecionada.cpf}" disabled="true" />
					
					<p:outputLabel value="Nome" for="nome" />
					<p:inputText id="nome" value="#{pesquisaCatequisaBean.entidadeSelecionada.nome}" />
					
					<p:outputLabel value="Endereço" for="endereco" />
					<p:inputText id="endereco" value="#{pesquisaCatequisaBean.entidadeSelecionada.endereco}" />
					
					<p:outputLabel value="Cidade" for="cidade" />
					<p:inputText id="cidade" value="#{pesquisaCatequisaBean.entidadeSelecionada.cidade}" />
					
					<p:outputLabel value="Telefone" for="telefone" />
					<p:inputMask mask="9999-9999" id="telefone" value="#{pesquisaCatequisaBean.entidadeSelecionada.telefone}" />
					
					<p:outputLabel value="Celular" for="celular" />
					<p:inputMask mask="99999-9999" id="celular" value="#{pesquisaCatequisaBean.entidadeSelecionada.celular}" />
					
					<p:outputLabel value="Data de Nascimento" for="dataNascimento" />
					<p:calendar id="dataNascimento" value="#{pesquisaCatequisaBean.entidadeSelecionada.dataNascimento}" mask="true" pattern="dd/MM/yyyy" converter="dateConverter"
						showHour="false" showMinute="false" showSecond="false" showMillisec="false" />
					
					<p:outputLabel value="E-mail" for="email" />
					<p:inputText id="email" value="#{pesquisaCatequisaBean.entidadeSelecionada.email}" />
	
					<p:outputLabel value="Sexo" for="sexo" />
					<p:selectOneRadio id="sexo" value="#{pesquisaCatequisaBean.entidadeSelecionada.sexo}" layout="grid" columns="2" >
			            <f:selectItems value="#{cadastroCatequistaBean.radioSexo}" var="s" itemLabel="#{s.descSexo}" itemValue="#{s.codSexo}" />
			        </p:selectOneRadio>
			        
					<p:outputLabel value="Estado Civil" for="estado" />
					<p:selectOneRadio id="estado" value="#{pesquisaCatequisaBean.entidadeSelecionada.estadoCivil}"  >
			            <f:selectItems value="#{cadastroCatequistaBean.radioEstadoCivil}" var="s" itemLabel="#{s.descEstadoCivil}" itemValue="#{s.codEstadoCivil}" />
			        </p:selectOneRadio>
			        
			        <p:outputLabel value="Nome Cônjugue" for="conjugue" />
					<p:inputText id="conjugue" value="#{pesquisaCatequisaBean.entidadeSelecionada.descConjugue}" />
			        
					<p:outputLabel value="Status" for="status" />
					<p:selectOneRadio id="status" value="#{pesquisaCatequisaBean.entidadeSelecionada.status}" immediate="true" >
			            <f:selectItems value="#{cadastroCatequistaBean.radioStatus}" var="s" itemLabel="#{s.descStatus}" itemValue="#{s.codStatus}" />
			        </p:selectOneRadio>
			        
					<p:outputLabel value="Participou da escola arquidiocesana?" for="bolEac" />
					<p:selectOneRadio id="bolEac" value="#{pesquisaCatequisaBean.entidadeSelecionada.bolEac}" immediate="true" >
			            <f:selectItems value="#{cadastroCatequistaBean.radioBooleano}" var="s" itemLabel="#{s.descricao}" itemValue="#{s.codigo}" />
			        </p:selectOneRadio>
			        
			        <p:outputLabel value="Ano EAC" for="anoEac" />
					<p:selectOneMenu id="anoEac" value="#{pesquisaCatequisaBean.entidadeSelecionada.ano_eac}">
						<f:selectItem noSelectionOption="true" itemLabel="Selecione..."/>
						<f:selectItems value="#{cadastroCatequistaBean.comboAno}" />
					</p:selectOneMenu>
			        
			        <p:outputLabel value="Coordenador?" for="bolCoordenador" />
					<p:selectOneRadio id="bolCoordenador" value="#{pesquisaCatequisaBean.entidadeSelecionada.bolCoordenador}" immediate="true" >
			            <f:selectItems value="#{cadastroCatequistaBean.radioBooleano}" var="s" itemLabel="#{s.descricao}" itemValue="#{s.codigo}" />
			        </p:selectOneRadio>
			        
			        <p:outputLabel value="Observação" for="observacao" />
					<p:inputTextarea id="observacao" value="#{pesquisaCatequisaBean.entidadeSelecionada.descObservacao}" cols="85" autoResize="false" rows="5" />
		    		
		    	</h:panelGrid>
	    		
	    	</p:dialog>
	    	
	    </h:form>
	    
    </ui:define>
</ui:composition>

src/main/webapp/home.xhtml
<ui:composition template="/WEB-INF/template/LayoutPadrao.xhtml"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui">

	<ui:define name="titulo">SIRC - Sistema de Inscrição e Renovação da Catequese</ui:define>

	<ui:define name="corpo">
		<br/><br/><br/>Seja bem-vindo!<br/><br/><br/>
	</ui:define>

</ui:composition>